NX Open C++ Reference Guide
|
Represents a GroupBuilder
To create a new instance of this class, use BasePart::CreateGatewayGroupBuilder
Default values.
More...
Public Types | |
enum | Action { ActionNewGroup, ActionAddToGroup, ActionRemoveFromGroup, ActionUngroup, ActionEditGroup, ActionNewSketchGroup } |
Represents the type of action for this builder to perform. More... | |
enum | SketchType { SketchTypeRegular, SketchTypeUnique, SketchTypeRigid } |
Represents the type of sketch group to be created. More... | |
enum | UngroupOption { UngroupOptionTop, UngroupOptionFull } |
Represents the option to control the behavior when deleting a group. More... | |
Public Member Functions | |
int | ActionType () |
Returns the action type for this builder to perform. | |
bool | ActivegroupOption () |
Returns the activegroup option is for sketch group as active group in Direct Sketch, Sketch Task Environment or in Drafting Sketch. | |
bool | GroupDisplayProperties () |
Returns the group display option Created in NX7.5.0. | |
NXOpen::SelectGroup * | GroupInAction () |
Returns the group in action Created in NX5.0.0. | |
NXString | GroupName () |
Returns the group name Created in NX5.0.0. | |
NXOpen::SelectObjectList * | ObjectsInGroup () |
Returns the objects in group Created in NX5.0.0. | |
NXOpen::NXObject * | OwningObject () |
Returns the owning object ie sketch object which currently has to be a sketch Created in NX6.0.0. | |
void | SetActionType (int actionType) |
Sets the action type for this builder to perform. | |
void | SetActivegroupOption (bool activegroupOption) |
Sets the activegroup option is for sketch group as active group in Direct Sketch, Sketch Task Environment or in Drafting Sketch. | |
void | SetGroupDisplayProperties (bool gdpOption) |
Sets the group display option Created in NX7.5.0. | |
void | SetGroupName (const NXString &groupName) |
Sets the group name Created in NX5.0.0. | |
void | SetGroupName (const char *groupName) |
Sets the group name Created in NX5.0.0. | |
void | SetOwningObject (NXOpen::NXObject *owningObject) |
Sets the owning object ie sketch object which currently has to be a sketch Created in NX6.0.0. | |
void | SetSketchGroupType (NXOpen::GroupBuilder::SketchType groupType) |
Sets the type of sketch group that gets created Created in NX9.0.0. | |
void | SetUngroupLevel (NXOpen::GroupBuilder::UngroupOption ungroupLevel) |
Sets the ungroup level Created in NX5.0.0. | |
void | SetUniqueMembershipOption (bool umgOption) |
Sets the unique membership option ie umg option Created in NX5.0.0. | |
NXOpen::GroupBuilder::SketchType | SketchGroupType () |
Returns the type of sketch group that gets created Created in NX9.0.0. | |
NXOpen::GroupBuilder::UngroupOption | UngroupLevel () |
Returns the ungroup level Created in NX5.0.0. | |
bool | UniqueMembershipOption () |
Returns the unique membership option ie umg option Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GroupBuilder
To create a new instance of this class, use BasePart::CreateGatewayGroupBuilder
Default values.
Property | Value |
---|---|
ActionType |
0 |
GroupDisplayProperties |
true |
Created in NX5.0.0.
Represents the type of action for this builder to perform.
ActionNewGroup |
Create New group in Modeling or Drafting. |
ActionAddToGroup |
Add members to existing group in Modeling. |
ActionRemoveFromGroup |
Remove members of existing group in Modeling. |
ActionUngroup |
Delete a group in Modeling or in Sketcher. |
ActionEditGroup |
Edit a group in Modeling or in Sketcher. |
ActionNewSketchGroup |
Create New sketch group in Direct Sketch, the Sketch Task Environment, or in Drafting Sketch. |
Represents the type of sketch group to be created.
SketchTypeRegular |
Regular sketch group that can contain any sketch curve or dimension. |
SketchTypeUnique |
A regular sketch group whose members cannot be members of any other sketch group. |
SketchTypeRigid |
A sketch group which corresponds to a Rigid Sketch constraint. |
int NXOpen::GroupBuilder::ActionType | ( | ) |
Returns the action type for this builder to perform.
<ul> <li>0 signifies Create New group in Modeling or Drafting </li> <li>1 signifies Add members to existing group in Modeling </li> <li>2 signifies Remove members of existing group in Modeling </li> <li>3 signifies Delete a group in Modeling or in Sketcher </li> <li>4 signifies Edit a group in Modeling or in Sketcher </li> <li>5 signifies Create New sketch group in Direct Sketch, the Sketch Task Environment, or in Drafting Sketch </li> </ul>
Created in NX5.0.0.
License requirements : None
bool NXOpen::GroupBuilder::ActivegroupOption | ( | ) |
bool NXOpen::GroupBuilder::GroupDisplayProperties | ( | ) |
Returns the group display option
Created in NX7.5.0.
License requirements : None
NXOpen::SelectGroup* NXOpen::GroupBuilder::GroupInAction | ( | ) |
Returns the group in action
Created in NX5.0.0.
License requirements : None
NXString NXOpen::GroupBuilder::GroupName | ( | ) |
Returns the group name
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::GroupBuilder::ObjectsInGroup | ( | ) |
Returns the objects in group
Created in NX5.0.0.
License requirements : None
NXOpen::NXObject* NXOpen::GroupBuilder::OwningObject | ( | ) |
Returns the owning object ie sketch object which currently has to be a sketch
Created in NX6.0.0.
License requirements : None
void NXOpen::GroupBuilder::SetActionType | ( | int | actionType | ) |
Sets the action type for this builder to perform.
<ul> <li>0 signifies Create New group in Modeling or Drafting </li> <li>1 signifies Add members to existing group in Modeling </li> <li>2 signifies Remove members of existing group in Modeling </li> <li>3 signifies Delete a group in Modeling or in Sketcher </li> <li>4 signifies Edit a group in Modeling or in Sketcher </li> <li>5 signifies Create New sketch group in Direct Sketch, the Sketch Task Environment, or in Drafting Sketch </li> </ul>
Created in NX5.0.0.
License requirements : None
actionType | actiontype |
void NXOpen::GroupBuilder::SetActivegroupOption | ( | bool | activegroupOption | ) |
void NXOpen::GroupBuilder::SetGroupDisplayProperties | ( | bool | gdpOption | ) |
Sets the group display option
Created in NX7.5.0.
License requirements : None
gdpOption | gdpoption |
void NXOpen::GroupBuilder::SetGroupName | ( | const NXString & | groupName | ) |
Sets the group name
Created in NX5.0.0.
License requirements : None
groupName | groupname |
void NXOpen::GroupBuilder::SetGroupName | ( | const char * | groupName | ) |
Sets the group name
Created in NX5.0.0.
License requirements : None
groupName | groupname |
void NXOpen::GroupBuilder::SetOwningObject | ( | NXOpen::NXObject * | owningObject | ) |
Sets the owning object ie sketch object which currently has to be a sketch
Created in NX6.0.0.
License requirements : None
owningObject | owningobject |
void NXOpen::GroupBuilder::SetSketchGroupType | ( | NXOpen::GroupBuilder::SketchType | groupType | ) |
Sets the type of sketch group that gets created
Created in NX9.0.0.
License requirements : None
groupType | grouptype |
void NXOpen::GroupBuilder::SetUngroupLevel | ( | NXOpen::GroupBuilder::UngroupOption | ungroupLevel | ) |
Sets the ungroup level
Created in NX5.0.0.
License requirements : None
ungroupLevel | ungrouplevel |
void NXOpen::GroupBuilder::SetUniqueMembershipOption | ( | bool | umgOption | ) |
Sets the unique membership option ie umg option
Created in NX5.0.0.
License requirements : None
umgOption | umgoption |
NXOpen::GroupBuilder::SketchType NXOpen::GroupBuilder::SketchGroupType | ( | ) |
Returns the type of sketch group that gets created
Created in NX9.0.0.
License requirements : None
NXOpen::GroupBuilder::UngroupOption NXOpen::GroupBuilder::UngroupLevel | ( | ) |
Returns the ungroup level
Created in NX5.0.0.
License requirements : None
bool NXOpen::GroupBuilder::UniqueMembershipOption | ( | ) |
Returns the unique membership option ie umg option
Created in NX5.0.0.
License requirements : None